/*
 * Copyright (c) 1991 Regents of the University of California.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by the University of California, Lawrence Berkeley Laboratory,
 * Berkeley, CA.  The name of the University may not be used to
 * endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * @(#) $Header: /n/olympus/opt/users/CVS/ns-1.1-master/TO-PORT/drop.h,v 1.1.1.1 1997/03/29 21:46:41 wuchang Exp $ (LBL)
 */

#define DROP_ERR	-1
#define DROP_RANDOM	0
#define DROP_TAIL	1
#define NDROPMECH	2

typedef int (*dropfn)(int);

extern int droprandom(int);
extern int droptail(int);
extern dropfn dropfunction(int);
extern dropfn lookupdrop(char *);

